#include <stdio.h>
#include <stdlib.h>

int main()
{
  char buf[32];
  int i, r;

  for (i = 0; i < 20; i++) {
    sprintf(buf, "fputs %d\n", i);
    r = fputs(buf, stdout);
    if (r < 0)
      printf("err\n");
  }

  for (i = 0; i < 20; i++) {
    sprintf(buf, "puts %d", i);
    r = puts(buf);
    if (r < 0)
      printf("err\n");
  }

  return 0;
}
